Name: moodss
Version: 21.5
Release: 1%{?dist}
Summary: Powerful modular monitoring graphical application
Group: Applications/System
License: GPL
Source0: http://download.sourceforge.net/moodss/moodss-21.5.tar.bz2
URL: http://moodss.sourceforge.net/
BuildRoot: %_tmppath/%name-%version-%release-root-%(%__id_u -n)
BuildRequires: tcl-devel >= 8.4.8
Requires: tk >= 8.4.8, blt >= 2.4-0.fdr.0.z, tktable >= 2.7, sqlite2-tcl, R >= 2.1.1

%description
moodss (Modular Object Oriented Dynamic SpreadSheet) is a modular
multi-purpose monitoring and capacity planning tool with table,
graphical, textual data viewers, thresholds, formulas and full drag
and drop user interface as well as a UNIX daemon (separate moomps
package available). Compatible with a variety of SQL databases for
data history over time storage and display. Includes modules for Linux
system, MySQL database, SNMP networking, Apache and Nagios. Modules
can be written in Tcl, Perl (tclperl package required), Python
(tclpython package required) or C.  Moodss is localized (Japanese with
input, partial French) and supports Unicode.

%prep
%setup -q

%build
make CFLAGS="$RPM_OPT_FLAGS" LIBDIR=%_libdir TCLLIBDIR=%_libdir

%install
rm -rf $RPM_BUILD_ROOT __docs
make ROOTDIR=$RPM_BUILD_ROOT LIBDIR=%_libdir TCLLIBDIR=%_libdir install
cp -a $RPM_BUILD_ROOT/%_docdir/%name-%version __docs
install -dm 755 $RPM_BUILD_ROOT/%_datadir/applications/\
    $RPM_BUILD_ROOT/%_datadir/pixmaps/\
    $RPM_BUILD_ROOT/%_datadir/moodss/
sed -e 's,%%_datadir,%_datadir,;' -e 's,%%_bindir,%_bindir,;'\
    -e 's,%%version,%version,;' %name.desktop >\
    $RPM_BUILD_ROOT/%_datadir/applications/fedora-%name.desktop
chmod 644 $RPM_BUILD_ROOT/%_datadir/applications/fedora-%name.desktop
install -m 644 -p %name.png $RPM_BUILD_ROOT/%_datadir/pixmaps/
install -m 644 -p linux.moo $RPM_BUILD_ROOT/%_datadir/moodss/

%files
%defattr(-,root,root,-)
%doc __docs/*
%doc %_mandir/man1/moodss.*
%_datadir/applications/*%name.desktop
%_datadir/pixmaps/%name.png
%_datadir/moodss
%_bindir/moodss
%_libdir/moodss

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sun Nov 12 2006 Jean-Luc Fontaine <jfontain@free.fr> 21.5-1
- 21.5 upstream release

* Mon Oct 25 2006 Jean-Luc Fontaine <jfontain@free.fr> 21.4-1
- 21.4 upstream release

* Fri Sep 29 2006 Jean-Luc Fontaine <jfontain@free.fr> 21.3-1
- 21.3 upstream release

* Fri Sep 8 2006 Jean-Luc Fontaine <jfontain@free.fr> 21.2-2
- rebuild for Fedora Extras 6

* Sat Mar 18 2006 Jean-Luc Fontaine <jfontain@free.fr> 21.2-1
- 21.2 upstream release

* Mon Feb 27 2006 Jean-Luc Fontaine <jfontain@free.fr> 21.1-1
- 21.1 upstream release

* Wed Feb 15 2006 Jean-Luc Fontaine <jfontain@free.fr> 21.0-2
- rebuild for Fedora Extras 5

* Fri Nov 11 2005 Jean-Luc Fontaine <jfontain@free.fr> 21.0-1
- 21.0 upstream release
- added R dependency
- updated description

* Fri Aug 19 2005 Jean-Luc Fontaine <jfontain@free.fr> 20.4-1
- 20.4 upstream release

* Sun Jul 10 2005 Jean-Luc Fontaine <jfontain@free.fr> 20.3-1
- 20.3 upstream release

* Sun Jun 26 2005 Jean-Luc Fontaine <jfontain@free.fr> 20.2-1
- 20.2 source release

* Sun May 22 2005 Jean-Luc Fontaine <jfontain@free.fr> 20.1-3
- 20.1 source release
- require sqlite2-tcl as it is now in extras starting from FC3

* Tue May 10 2005 Jean-Luc Fontaine <jfontain@free.fr> 20.0-5
- require Tcl 8.4.8 with bug fixes for 64 bit architecture
- appended distribution to release

* Mon May 9 2005 Jean-Luc Fontaine <jfontain@free.fr> 20.0-3
- removed all epochs as they are out of style as of FC-4

* Sun May 8 2005 Jean-Luc Fontaine <jfontain@free.fr> 20.0-2
- removed sqlite-tcl requirement as it is disabled in the sqlite 3
  update for FC-3 and not in Rawhide

* Sun May 1 2005 Jean-Luc Fontaine <jfontain@free.fr> 20.0-1
- 20.0 source release
- use specific build requirements for fedora distribution
- improved description.

* Tue Feb 22 2005 Jean-Luc Fontaine <jfontain@free.fr> 19.7-0.fdr.1
- 19.7 release
- titles of displayed tables change color to reflect module state
- in statistics table, added standard deviation column

* Sun Feb 13 2005 Jean-Luc Fontaine <jfontain@free.fr> 19.6-0.fdr.1
- 19.6 version with new nagios module

* Sun Jan 2 2005 Jean-Luc Fontaine <jfontain@free.fr> 19.5-0.fdr.1
- 19.5 version

* Fri Dec 17 2004 Jean-Luc Fontaine <jfontain@free.fr> 19.4-0.fdr.1
- 19.4 version

* Sun Nov 14 2004 Jean-Luc Fontaine <jfontain@free.fr> 19.3-0.fdr.1
- 19.3 version

* Sun Oct 31 2004 Jean-Luc Fontaine <jfontain@free.fr> 19.2.2-0.fdr.1
- capitalized summary

* Sat Oct 30 2004 Jean-Luc Fontaine <jfontain@free.fr> 19.2.1-0.fdr.1
- 19.2.1 version, which restores compatibility with Tcl 8.3 core
- allowed building on 64 bit architecture by passing library
  directories to make

* Sun Oct 24 2004 Jean-Luc Fontaine <jfontain@free.fr> 19.2-0.fdr.1
- 19.2 version
- in build stage, removed -s option from CFLAGS
- require SQLite as default database storage mean
- made summary more descriptive
- updated description: added formulas and reference to moomps

* Sun Oct 17 2004 Jean-Luc Fontaine <jfontain@free.fr> 19.1-0.fdr.1
- 19.1 version

* Tue Aug 17 2004 Jean-Luc Fontaine <jfontain@free.fr> 19.0-0.fdr.1
- 19.0 version

* Wed Jul 14 2004 Jean-Luc Fontaine <jfontain@free.fr> 18.5-0.fdr.1
- 18.5 version

* Sun Jul 11 2004 Jean-Luc Fontaine <jfontain@free.fr> 18.4-0.fdr.1
- 18.4 version

* Sun Jun 13 2004 Jean-Luc Fontaine <jfontain@free.fr> 18.3-0.fdr.1
- 18.3 version

* Sun May 30 2004 Jean-Luc Fontaine <jfontain@free.fr> 18.2-0.fdr.1
- 18.2 version

* Sun Apr 25 2004 Jean-Luc Fontaine <jfontain@free.fr> 18.1-0.fdr.1
- 18.1 version

* Sun Mar 14 2004 Jean-Luc Fontaine <jfontain@free.fr> 18.0-0.fdr.1
- 18.0 version

* Sun Feb 8 2004 Jean-Luc Fontaine <jfontain@free.fr> 17.17-0.fdr.1
- 17.17 version

* Sun Jan 18 2004 Jean-Luc Fontaine <jfontain@free.fr> 17.16-0.fdr.1
- 17.16 version
- in install stage, copy documentation files after make install
  completion as it modifies some HTML documentation internal URLs
- in desktop entry, use the shorter moodss application name
- added diskstats, hddtemp and usb modules
- pci module now uses event based and threaded library and is thoroughly
  documented to serve as remote capable module reference implementation
- made several modules compatible with Linux kernel 2.6
- moved modules and development sections out of moodss.htm HTML
  documentation into modules.htm and develop.htm separate files
- see CHANGES in documentation directory for complete list of changes

* Wed Dec 31 2003 Jean-Luc Fontaine <jfontain@free.fr> 17.15-0.fdr.2
- in install stage, copy documentation in a custom directory to avoid
  listing all the documentation files in the files section
- directly generate desktop file with a fedora header
- simply list the moodss data directory instead of the file it contains

* Sun Dec 28 2003 Jean-Luc Fontaine <jfontain@free.fr> 17.15-0.fdr.1
- 17.15 version

* Sun Dec 14 2003 Jean-Luc Fontaine <jfontain@free.fr> 17.14-0.fdr.1
- 17.14 version
- included predefined dashboard for system in data directory
- application desktop menu now uses predefined dashboard for system

* Sat Nov 22 2003 Jean-Luc Fontaine <jfontain@free.fr> 17.13-0.fdr.1
- 17.13 version

* Sun Nov 16 2003 Jean-Luc Fontaine <jfontain@free.fr> 17.12-0.fdr.8
- in build requirements, work around tcl-devel and tk-devel packages non
  existence in RH 8.0 and 9

* Sat Nov 8 2003 Jean-Luc Fontaine <jfontain@free.fr> 17.12-0.fdr.7
- moved moomps rpm generation to separate moomps.spec file

* Fri Nov 7 2003 Jean-Luc Fontaine <jfontain@free.fr> 17.12-0.fdr.6
- escaped percent characters in change log

* Tue Nov 4 2003 Jean-Luc Fontaine <jfontain@free.fr> 17.12-0.fdr.5
- changed release tag from 0.fdr.0.X to 0.fdr.X
- replaced %%__sed and %%__install by sed and install
- added -p argument to install to preserve timestamps
- no longer use full path for chkconfig as it is part of root path

* Sat Nov 1 2003 Jean-Luc Fontaine <jfontain@free.fr> 17.12-0.fdr.4
- removed redundant Release and Epoch tags
- combined macros in files section for %%_sysconfdir/moomps and
  %%_sysconfdir/moomps/rc

* Fri Oct 31 2003 Jean-Luc Fontaine <jfontain@free.fr> 17.12-0.fdr.3
- removed optional sqlite binary library inclusion since sqlite rpm is
  likely to become part of Fedora
- removed RCS line
- set Epoch to 0 and removed it from Release
- used a full macroless URL to the source tarball
- removed Packager (not used in Fedora)
- used z release instead of u in blt requirement
- used rm instead of %%__rm macro
- included the moomps/rc file as a normal %%config file
- no longer generate a default moomps/rc file as it is now done in the
  make install stage
- use wildcards in manual pages files entries
- specified documentation files explicitely instead of using
  %%_defaultdocdir
- added build stage for dynamic libraries and global scripts generation
- attributes for the moomps configuration directory and rc file now set
  using the %%attr macro
- moomps user created in pre installation stage instead of post
- use service command to stop moomps instead of using a little script

* Fri Oct 24 2003 Jean-Luc Fontaine <jfontain@free.fr> 17.12-0.fdr.2
- added desktop entry with small icon.

* Tue Oct 21 2003 Jean-Luc Fontaine <jfontain@free.fr> 17.12-0.fdr.1
- checked with rpmlint and improved accordingly.
